# class Gdk::Screen

### Public Instance Methods

get_monitor(window_or_x, y=nil) click to toggle source

    # File lib/gdk3/screen.rb, line 30
    def get_monitor(window_or_x, y=nil)
      if window_or_x.is_a?(Window)
        window = window_or_x
        get_monitor_at_window(window)
      else
        x = window_or_x
        get_monitor_at_point(x, y)
      end
    end

get_setting(key, type=nil) click to toggle source

    # File lib/gdk3/screen.rb, line 20
    def get_setting(key, type=nil)
      value = GLib::Value.new(type || GLib::Type::STRING)
      found = get_setting_raw(key, value)
      if found
        value
      else
        nil
      end
    end

Also aliased as: get_setting_raw
get_setting_raw(key, type=nil)
Alias for: get_setting